org.richfaces.component

## Enum UIOrderingList.Properties

- java.lang.Object
- - java.lang.Enum<UIOrderingList.Properties>
  - - org.richfaces.component.UIOrderingList.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIOrderingList.Properties>
  Enclosing class:
    UIOrderingList

      protected static enum UIOrderingList.Properties
      extends Enum<UIOrderingList.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `activeClass`
    `caption`
    `changedClass`
    `collectionType`
    `columnClasses`
    `defaultLabel`
    `disabled`
    `disabledClass`
    `downBottomText`
    `downText`
    `headerClass`
    `itemClass`
    `itemLabel`
    `itemValue`
    `listClass`
    `listHeight`
    `listWidth`
    `maxListHeight`
    `minListHeight`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onlistclick`
    `onlistdblclick`
    `onlistkeydown`
    `onlistkeypress`
    `onlistkeyup`
    `onlistmousedown`
    `onlistmousemove`
    `onlistmouseout`
    `onlistmouseover`
    `onlistmouseup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `selectItemClass`
    `showButton`
    `style`
    `styleClass`
    `upText`
    `upTopText`
    `var`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIOrderingList.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIOrderingList.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### activeClass

          public static final UIOrderingList.Properties activeClass

    - #### caption

          public static final UIOrderingList.Properties caption

    - #### changedClass

          public static final UIOrderingList.Properties changedClass

    - #### collectionType

          public static final UIOrderingList.Properties collectionType

    - #### columnClasses

          public static final UIOrderingList.Properties columnClasses

    - #### defaultLabel

          public static final UIOrderingList.Properties defaultLabel

    - #### disabled

          public static final UIOrderingList.Properties disabled

    - #### disabledClass

          public static final UIOrderingList.Properties disabledClass

    - #### downBottomText

          public static final UIOrderingList.Properties downBottomText

    - #### downText

          public static final UIOrderingList.Properties downText

    - #### headerClass

          public static final UIOrderingList.Properties headerClass

    - #### itemClass

          public static final UIOrderingList.Properties itemClass

    - #### itemLabel

          public static final UIOrderingList.Properties itemLabel

    - #### itemValue

          public static final UIOrderingList.Properties itemValue

    - #### listClass

          public static final UIOrderingList.Properties listClass

    - #### listHeight

          public static final UIOrderingList.Properties listHeight

    - #### listWidth

          public static final UIOrderingList.Properties listWidth

    - #### maxListHeight

          public static final UIOrderingList.Properties maxListHeight

    - #### minListHeight

          public static final UIOrderingList.Properties minListHeight

    - #### onblur

          public static final UIOrderingList.Properties onblur

    - #### onchange

          public static final UIOrderingList.Properties onchange

    - #### onclick

          public static final UIOrderingList.Properties onclick

    - #### ondblclick

          public static final UIOrderingList.Properties ondblclick

    - #### onfocus

          public static final UIOrderingList.Properties onfocus

    - #### onkeydown

          public static final UIOrderingList.Properties onkeydown

    - #### onkeypress

          public static final UIOrderingList.Properties onkeypress

    - #### onkeyup

          public static final UIOrderingList.Properties onkeyup

    - #### onlistclick

          public static final UIOrderingList.Properties onlistclick

    - #### onlistdblclick

          public static final UIOrderingList.Properties onlistdblclick

    - #### onlistkeydown

          public static final UIOrderingList.Properties onlistkeydown

    - #### onlistkeypress

          public static final UIOrderingList.Properties onlistkeypress

    - #### onlistkeyup

          public static final UIOrderingList.Properties onlistkeyup

    - #### onlistmousedown

          public static final UIOrderingList.Properties onlistmousedown

    - #### onlistmousemove

          public static final UIOrderingList.Properties onlistmousemove

    - #### onlistmouseout

          public static final UIOrderingList.Properties onlistmouseout

    - #### onlistmouseover

          public static final UIOrderingList.Properties onlistmouseover

    - #### onlistmouseup

          public static final UIOrderingList.Properties onlistmouseup

    - #### onmousedown

          public static final UIOrderingList.Properties onmousedown

    - #### onmousemove

          public static final UIOrderingList.Properties onmousemove

    - #### onmouseout

          public static final UIOrderingList.Properties onmouseout

    - #### onmouseover

          public static final UIOrderingList.Properties onmouseover

    - #### onmouseup

          public static final UIOrderingList.Properties onmouseup

    - #### selectItemClass

          public static final UIOrderingList.Properties selectItemClass

    - #### showButton

          public static final UIOrderingList.Properties showButton

    - #### style

          public static final UIOrderingList.Properties style

    - #### styleClass

          public static final UIOrderingList.Properties styleClass

    - #### upText

          public static final UIOrderingList.Properties upText

    - #### upTopText

          public static final UIOrderingList.Properties upTopText

    - #### var

          public static final UIOrderingList.Properties var

  - ### Method Detail

    - #### values

          public static UIOrderingList.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIOrderingList.Properties c : UIOrderingList.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIOrderingList.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.